Summary: A library wrapper for XvMC vendor libraries
Name: libXvMCW
Version: 0.9.3
Release: 4%{?dist}
License: MIT
Group: User Interface/X
URL: http://unichrome.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/unichrome/%{name}-%{version}.tar.gz
Patch0: libXvMCW-0.9.3-x11-under-usr.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake, libtool
# for configure's check for X11
BuildRequires: libXt-devel
# true X11 dependencies
BuildRequires: libXv-devel, libXvMC-devel
PreReq: /sbin/ldconfig
Provides: libXvMCW-devel = %{evr}

%description
This Wrapper is a convenience lib intended for packagers and XvMC
player developers. It dlopens an XvMC lib at runtime, and therefore
allows an XvMC-enabled player to link with the wrapper and the user to
choose which library to load. 

The library loaded is determined as follows.
1. The wrapper queries the X server. If the X server does not give an answer, 
2. It looks in the file /etc/X11/XvMCConfig.

%prep
%setup -q
%patch0 -p1 -b .usr

%build
autoreconf -f -i -v
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README
%config(noreplace) %{_sysconfdir}/X11/XvMCConfig
%{_x_libraries}/libXvMCW.so.*

%exclude %{_x_includes}/X11/extensions/vldXvMC.h
%{_x_libraries}/libXvMCW.a
%{_x_libraries}/libXvMCW.la
%{_x_libraries}/libXvMCW.so


%changelog
* Sun Apr 24 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

